#!/bin/bash


print_datetime() {
    echo "[$(date +"%Y-%m-%d %H:%M:%S")] $1"
}

cd  ~/Desktop/Work4all-system/

current_time=$(date +"%H")

if [[ "$current_time" == "22" ]]; then 
    return 0
fi
if [[ "$current_time" == "23" ]]; then 
    return 0
fi

echo "||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||"
echo "||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||" >> logs.txt

print_datetime "[From bash script] Starting infrastructure update checking process" 
print_datetime "[From bash script] Starting infrastructure update checking process" >> logs.txt

chmod +x linux_updates/perform_installation &&
linux_updates/perform_installation "conditional"